import {defineStore} from "pinia";
export const useMapStore = defineStore('map',{
    state:() =>({
        isLoading:false,
        layerShow:true,  //服务列表是否开启
        currentLayerType:"mainPage", //当前服务列表类型
        currentLayerList:[ {
            "label": "全市白模",
            "D_CODE": "D85030103202409",
            "S_CODE": "D8503010320240901",
            "ADDRESS": "https://cimweb.zjw.sh.cegn.cn:2008/MapProxyApi/getSceneServer/ptgl/05195418",
            "chosen":true,
            "TYPE": "scene",
        }],  //当前服务列表
        currentNum:null,
        currentLayer:null,
        scale:null,
        whiteMoldState:false,   //白模状态
        camera:{      //相机信息
            heading:null,
            tilt:null,
            position:{
                x:null,
                y:null,
                z:null
            }
        },
        layerDetailObj:{},    //当前服务详情
        layerDetailShow:false,   //服务详情是否开启
        left_board:true,     //左侧板是否开启
        right_board:false,    //右侧板是否开启
    }),
    persist:true,
    actions:{
      setCameraInfo(data){
          this.camera = data
      }
    }
})